> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# commercetools-categories

> commercetools Categories - manage categories, reviews, shopping lists, and product selections

**Server path:** `/commercetools-categories` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                    | Description                                                                                                                                                                     |
| --------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`commercetools_categories_create_categories`](#commercetools_categories_create_categories)                                             | Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.  Creating a Category produces the CategoryCreated Message. |
| [`commercetools_categories_create_product_selections`](#commercetools_categories_create_product_selections)                             | POST /product-selections                                                                                                                                                        |
| [`commercetools_categories_create_reviews`](#commercetools_categories_create_reviews)                                                   | POST /reviews                                                                                                                                                                   |
| [`commercetools_categories_create_shopping_lists`](#commercetools_categories_create_shopping_lists)                                     | Create a ShoppingList in the Project.                                                                                                                                           |
| [`commercetools_categories_delete_by_id`](#commercetools_categories_delete_by_id)                                                       | Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.                                                            |
| [`commercetools_categories_delete_by_key`](#commercetools_categories_delete_by_key)                                                     | Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.                                                            |
| [`commercetools_categories_delete_product_selections_by_id`](#commercetools_categories_delete_product_selections_by_id)                 | Deletion will only succeed if the Product Selection is not assigned to any Store.                                                                                               |
| [`commercetools_categories_delete_product_selections_by_key`](#commercetools_categories_delete_product_selections_by_key)               | Deletion will only succeed if the Product Selection is not assigned to any Store.                                                                                               |
| [`commercetools_categories_delete_reviews_by_id`](#commercetools_categories_delete_reviews_by_id)                                       | DELETE /reviews/\{ID}                                                                                                                                                           |
| [`commercetools_categories_delete_reviews_by_key`](#commercetools_categories_delete_reviews_by_key)                                     | DELETE /reviews/key=\{key}                                                                                                                                                      |
| [`commercetools_categories_delete_shopping_lists_by_id`](#commercetools_categories_delete_shopping_lists_by_id)                         | Deletes a ShoppingList in the Project.                                                                                                                                          |
| [`commercetools_categories_delete_shopping_lists_by_key`](#commercetools_categories_delete_shopping_lists_by_key)                       | Deletes a ShoppingList in the Project.                                                                                                                                          |
| [`commercetools_categories_get_by_id`](#commercetools_categories_get_by_id)                                                             | Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.                                                                |
| [`commercetools_categories_get_by_key`](#commercetools_categories_get_by_key)                                                           | Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.                                                                |
| [`commercetools_categories_get_product_selections_by_id`](#commercetools_categories_get_product_selections_by_id)                       | GET /product-selections/\{ID}                                                                                                                                                   |
| [`commercetools_categories_get_product_selections_by_key`](#commercetools_categories_get_product_selections_by_key)                     | GET /product-selections/key=\{key}                                                                                                                                              |
| [`commercetools_categories_get_reviews_by_id`](#commercetools_categories_get_reviews_by_id)                                             | GET /reviews/\{ID}                                                                                                                                                              |
| [`commercetools_categories_get_reviews_by_key`](#commercetools_categories_get_reviews_by_key)                                           | GET /reviews/key=\{key}                                                                                                                                                         |
| [`commercetools_categories_get_shopping_lists_by_id`](#commercetools_categories_get_shopping_lists_by_id)                               | Retrieves a ShoppingList with the provided `id`.                                                                                                                                |
| [`commercetools_categories_get_shopping_lists_by_key`](#commercetools_categories_get_shopping_lists_by_key)                             | Retrieves a ShoppingList with the provided `key`.                                                                                                                               |
| [`commercetools_categories_list_categories`](#commercetools_categories_list_categories)                                                 | Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.                                                                |
| [`commercetools_categories_list_product_selections`](#commercetools_categories_list_product_selections)                                 | GET /product-selections                                                                                                                                                         |
| [`commercetools_categories_list_product_selections_products_by_id`](#commercetools_categories_list_product_selections_products_by_id)   | GET /product-selections/\{ID}/products                                                                                                                                          |
| [`commercetools_categories_list_product_selections_products_by_key`](#commercetools_categories_list_product_selections_products_by_key) | GET /product-selections/key=\{key}/products                                                                                                                                     |
| [`commercetools_categories_list_reviews`](#commercetools_categories_list_reviews)                                                       | GET /reviews                                                                                                                                                                    |
| [`commercetools_categories_list_shopping_lists`](#commercetools_categories_list_shopping_lists)                                         | Retrieves ShoppingLists in the Project.                                                                                                                                         |
| [`commercetools_categories_update_categories_by_id`](#commercetools_categories_update_categories_by_id)                                 | Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.                                                            |
| [`commercetools_categories_update_categories_by_key`](#commercetools_categories_update_categories_by_key)                               | Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.                                                            |
| [`commercetools_categories_update_product_selections_by_id`](#commercetools_categories_update_product_selections_by_id)                 | POST /product-selections/\{ID}                                                                                                                                                  |
| [`commercetools_categories_update_product_selections_by_key`](#commercetools_categories_update_product_selections_by_key)               | POST /product-selections/key=\{key}                                                                                                                                             |
| [`commercetools_categories_update_reviews_by_id`](#commercetools_categories_update_reviews_by_id)                                       | POST /reviews/\{ID}                                                                                                                                                             |
| [`commercetools_categories_update_reviews_by_key`](#commercetools_categories_update_reviews_by_key)                                     | POST /reviews/key=\{key}                                                                                                                                                        |
| [`commercetools_categories_update_shopping_lists_by_id`](#commercetools_categories_update_shopping_lists_by_id)                         | Updates a ShoppingList in the Project using one or more update actions.                                                                                                         |
| [`commercetools_categories_update_shopping_lists_by_key`](#commercetools_categories_update_shopping_lists_by_key)                       | Updates a ShoppingList in the Project using one or more update actions.                                                                                                         |

***

## commercetools\_categories\_create\_categories

Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.  Creating a Category produces the CategoryCreated Message.

**Parameters:**

| Parameter         | Type      | Required | Default | Description                        |
| ----------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`          | string\[] | No       | —       | Related resources to expand inline |
| `assets`          | object\[] | No       | —       | The assets value                   |
| `custom`          | object    | No       | —       | The custom value                   |
| `description`     | object    | No       | —       | The description value              |
| `externalId`      | string    | No       | —       | External Id                        |
| `key`             | string    | No       | —       | The key value                      |
| `metaDescription` | object    | No       | —       | Meta Description                   |
| `metaKeywords`    | object    | No       | —       | Meta Keywords                      |
| `metaTitle`       | object    | No       | —       | Meta Title                         |
| `name`            | object    | Yes      | —       | The name value                     |
| `orderHint`       | string    | No       | —       | Order Hint                         |
| `parent`          | object    | No       | —       | The parent value                   |
| `slug`            | object    | Yes      | —       | The slug value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "assets": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "sources": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "uri": {
                    "type": "string"
                  },
                  "key": {
                    "type": "string"
                  },
                  "dimensions": {
                    "type": "object"
                  },
                  "contentType": {
                    "type": "string"
                  }
                }
              },
              "description": "The sources value"
            },
            "name": {
              "type": "object",
              "description": "The name value"
            },
            "description": {
              "type": "object",
              "description": "The description value"
            },
            "tags": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The tags value"
            },
            "custom": {
              "type": "object",
              "description": "The custom value"
            },
            "key": {
              "type": "string",
              "description": "The key value"
            }
          },
          "required": [
            "name",
            "sources"
          ]
        },
        "description": "The assets value"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "externalId": {
        "type": "string",
        "description": "External Id"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "metaDescription": {
        "type": "object",
        "description": "Meta Description"
      },
      "metaKeywords": {
        "type": "object",
        "description": "Meta Keywords"
      },
      "metaTitle": {
        "type": "object",
        "description": "Meta Title"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "orderHint": {
        "type": "string",
        "description": "Order Hint"
      },
      "parent": {
        "description": "The parent value"
      },
      "slug": {
        "type": "object",
        "description": "The slug value"
      }
    },
    "required": [
      "PCID",
      "name",
      "slug"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_create\_product\_selections

POST /product-selections

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `custom`  | object    | No       | —       | The custom value                   |
| `key`     | string    | No       | —       | The key value                      |
| `mode`    | string    | No       | —       | The mode value                     |
| `name`    | object    | Yes      | —       | The name value                     |
| `type`    | string    | No       | —       | The type value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "mode": {
        "type": "string",
        "description": "The mode value",
        "enum": [
          "Individual",
          "IndividualExclusion"
        ]
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "type": {
        "type": "string",
        "description": "The type value",
        "enum": [
          "individual",
          "individualExclusion"
        ]
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_create\_reviews

POST /reviews

**Parameters:**

| Parameter         | Type      | Required | Default | Description                        |
| ----------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`          | string\[] | No       | —       | Related resources to expand inline |
| `authorName`      | string    | No       | —       | Author Name                        |
| `custom`          | object    | No       | —       | The custom value                   |
| `customer`        | object    | No       | —       | The customer value                 |
| `key`             | string    | No       | —       | The key value                      |
| `locale`          | string    | No       | —       | Locale or language code            |
| `rating`          | integer   | No       | —       | The rating value                   |
| `state`           | object    | No       | —       | The state value                    |
| `target`          | object    | No       | —       | The target value                   |
| `text`            | string    | No       | —       | The text value                     |
| `title`           | string    | No       | —       | The title value                    |
| `uniquenessValue` | string    | No       | —       | Uniqueness Value                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "authorName": {
        "type": "string",
        "description": "Author Name"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "customer": {
        "description": "The customer value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "locale": {
        "type": "string",
        "description": "Locale or language code"
      },
      "rating": {
        "type": "integer",
        "description": "The rating value"
      },
      "state": {
        "description": "The state value"
      },
      "target": {
        "description": "The target value"
      },
      "text": {
        "type": "string",
        "description": "The text value"
      },
      "title": {
        "type": "string",
        "description": "The title value"
      },
      "uniquenessValue": {
        "type": "string",
        "description": "Uniqueness Value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_create\_shopping\_lists

Create a ShoppingList in the Project.

**Parameters:**

| Parameter                         | Type      | Required | Default | Description                         |
| --------------------------------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`                          | string\[] | No       | —       | Related resources to expand inline  |
| `anonymousId`                     | string    | No       | —       | Anonymous Id                        |
| `businessUnit`                    | object    | No       | —       | Business Unit                       |
| `custom`                          | object    | No       | —       | The custom value                    |
| `customer`                        | object    | No       | —       | The customer value                  |
| `deleteDaysAfterLastModification` | integer   | No       | —       | Delete Days After Last Modification |
| `description`                     | object    | No       | —       | The description value               |
| `key`                             | string    | No       | —       | The key value                       |
| `lineItems`                       | object\[] | No       | —       | Line Items                          |
| `name`                            | object    | Yes      | —       | The name value                      |
| `slug`                            | object    | No       | —       | The slug value                      |
| `store`                           | object    | No       | —       | The store value                     |
| `textLineItems`                   | object\[] | No       | —       | Text Line Items                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "anonymousId": {
        "type": "string",
        "description": "Anonymous Id"
      },
      "businessUnit": {
        "description": "Business Unit"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "customer": {
        "description": "The customer value"
      },
      "deleteDaysAfterLastModification": {
        "type": "integer",
        "description": "Delete Days After Last Modification"
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "lineItems": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "key": {
              "type": "string",
              "description": "The key value"
            },
            "productId": {
              "type": "string",
              "description": "Product Id"
            },
            "variantId": {
              "type": "integer",
              "format": "int64",
              "description": "Variant Id"
            },
            "sku": {
              "type": "string",
              "description": "The sku value"
            },
            "addedAt": {
              "type": "string",
              "format": "datetime",
              "description": "Added At"
            },
            "custom": {
              "type": "object",
              "description": "The custom value"
            },
            "quantity": {
              "type": "integer",
              "format": "int64",
              "description": "The quantity value"
            }
          }
        },
        "description": "Line Items"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "slug": {
        "type": "object",
        "description": "The slug value"
      },
      "store": {
        "description": "The store value"
      },
      "textLineItems": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "key": {
              "type": "string",
              "description": "The key value"
            },
            "addedAt": {
              "type": "string",
              "format": "datetime",
              "description": "Added At"
            },
            "custom": {
              "type": "object",
              "description": "The custom value"
            },
            "description": {
              "type": "object",
              "description": "The description value"
            },
            "name": {
              "type": "object",
              "description": "The name value"
            },
            "quantity": {
              "type": "integer",
              "format": "int64",
              "description": "The quantity value"
            }
          },
          "required": [
            "name"
          ]
        },
        "description": "Text Line Items"
      }
    },
    "required": [
      "PCID",
      "name"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_by\_id

Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_by\_key

Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_product\_selections\_by\_id

Deletion will only succeed if the Product Selection is not assigned to any Store.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_product\_selections\_by\_key

Deletion will only succeed if the Product Selection is not assigned to any Store.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_reviews\_by\_id

DELETE /reviews/\{ID}

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`          | string    | Yes      | —       | The id value                       |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_reviews\_by\_key

DELETE /reviews/key=\{key}

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `key`         | string    | Yes      | —       | The key value                      |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_shopping\_lists\_by\_id

Deletes a ShoppingList in the Project.

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`          | string    | Yes      | —       | The id value                       |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_delete\_shopping\_lists\_by\_key

Deletes a ShoppingList in the Project.

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `key`         | string    | Yes      | —       | The key value                      |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |
| `version`     | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_by\_id

Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_by\_key

Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_product\_selections\_by\_id

GET /product-selections/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_product\_selections\_by\_key

GET /product-selections/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_reviews\_by\_id

GET /reviews/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_reviews\_by\_key

GET /reviews/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_shopping\_lists\_by\_id

Retrieves a ShoppingList with the provided `id`.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_get\_shopping\_lists\_by\_key

Retrieves a ShoppingList with the provided `key`.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_categories

Either the scope `view_products:&#123;projectKey&#125;` or `view_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_product\_selections

GET /product-selections

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_product\_selections\_products\_by\_id

GET /product-selections/\{ID}/products

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `ID`        | string    | Yes      | —       | The id value                        |
| `where`     | string\[] | No       | —       | The where value                     |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `sort`      | string\[] | No       | —       | Sort order for results              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_product\_selections\_products\_by\_key

GET /product-selections/key=\{key}/products

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `key`       | string    | Yes      | —       | The key value                       |
| `where`     | string\[] | No       | —       | The where value                     |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `sort`      | string\[] | No       | —       | Sort order for results              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_reviews

GET /reviews

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_list\_shopping\_lists

Retrieves ShoppingLists in the Project.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_categories\_by\_id

Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_categories\_by\_key

Either the scope `manage_products:&#123;projectKey&#125;` or `manage_categories:&#123;projectKey&#125;` is required.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_product\_selections\_by\_id

POST /product-selections/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_product\_selections\_by\_key

POST /product-selections/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_reviews\_by\_id

POST /reviews/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_reviews\_by\_key

POST /reviews/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_shopping\_lists\_by\_id

Updates a ShoppingList in the Project using one or more update actions.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_categories\_update\_shopping\_lists\_by\_key

Updates a ShoppingList in the Project using one or more update actions.

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>
